<?php
/**
 * Class MassDeleteDomainForm
 * User: Nessandro
 * Date: 2019-10-11
 * Time: 11:24
 * @package ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DomainAlias\Forms
 */

namespace ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DomainAlias\Forms;


use ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DistributionList\Providers\DeleteListDataProvider;
use ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DomainAlias\Providers\DeleteDomainAliasProvider;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Fields\Hidden;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\FormConstants;

class MassDeleteDomainAliasForm extends BaseForm implements ClientArea
{
    protected $id    = 'massDeleteDomainAliasForm';
    protected $name  = 'massDeleteDomainAliasForm';
    protected $title = 'massDeleteDomainAliasForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteDomainAliasProvider();

        $this->setConfirmMessage('confirmMassDeleteDomainAlias');

        $this->loadDataToForm();
    }

}